package swt.draw;

import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.Graphics;


class MeinPanel extends JPanel 
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	Drawable d;
	
	MeinPanel(Drawable d) 
	{
		this.d = d;
	}

	protected void paintComponent(Graphics g) 
	{
		d.draw(g);
	}

	public static void main(String[] args) 
	{
		JFrame f = new JFrame();
		f.setTitle("Beispiel");
		f.setSize(450, 300);
		Container c = new Container();
		Line l = new Line(100, 150, 200, 250);
		Rectangle r = new Rectangle(100, 150, 200, 250);
		c.add(l);
		c.add(r);
		MeinPanel p = new MeinPanel(c);
		f.add(p);
		f.setVisible(true);
		
	}
}
